Ownership and events

US Edgar Research Coverage

Coverage ledger for the normalized Form 4 and Form 13F API resources.

GET /us/edgar-research/coverage

Coverage ledger for the normalized Form 4 and Form 13F API resources.

Category: US · ownership

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
as_ofquerynostring | null

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/edgar-research/coverage' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonEdgarResearchCoverageResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "datasets": [
    {
      "dataset": "form4",
      "resource_path": "string",
      "bulk_archives_available": 0,
      "bulk_accessions": 0,
      "bulk_rows": 0,
      "bulk_min_filing_date": "2025-12-31",
      "bulk_max_filing_date": "2025-12-31",
      "direct_accessions_available": 0,
      "direct_accessions_needs_review": 0,
      "last_bulk_load_time": "2025-12-31T23:59:59Z"
    }
  ],
  "meta": {
    "jurisdiction": "US",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}